# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "fidius-cli"
version = "0.2.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CLI for the Fidius plugin framework"
readme = false
license = "Apache-2.0"
repository = "https://github.com/colliery-io/fidius"

[[bin]]
name = "fidius"
path = "src/main.rs"

[[test]]
name = "cli"
path = "tests/cli.rs"

[[test]]
name = "full_pipeline"
path = "tests/full_pipeline.rs"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.ed25519-dalek]
version = "2"
features = [
    "std",
    "rand_core",
]

[dependencies.fidius-core]
version = "0.2.1"

[dependencies.fidius-host]
version = "0.2.1"

[dependencies.proc-macro2]
version = "1"

[dependencies.quote]
version = "1"

[dependencies.rand]
version = "0.8"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.syn]
version = "2"
features = [
    "full",
    "extra-traits",
]

[dependencies.toml]
version = "0.8"

[dependencies.ureq]
version = "3"

[dev-dependencies.assert_cmd]
version = "2"

[dev-dependencies.predicates]
version = "3"

[dev-dependencies.tempfile]
version = "3"
